Subject: RE: [Simple] Mistake in PRES-URI BNF

From: "Ofra Wachsman" <[email-masked]>
Date: Mon, 24 Jan 2005 07:41:49 +0200

Hi
May be we should emphasize that the 'addr-spec' used to define the
mailbox is as defined in RFC 2822: 
	addr-spec = local-part "@" domain
And not as defined in RFC 3261:  
	addr-spec = SIP-URI / SIPS-URI / absoluteURI

Don't you think it is confusing to have two definitions with the same
name?
Ofra

-----Original Message-----
From: Robert Sparks [mailto:[email-masked]]
Sent: Wednesday, December 01, 2004 6:26 PM
To: Tamar Barzuza
Cc: [email-masked]
Subject: Re: [Simple] Mistake in PRES-URI BNF

Tamar -

I don't think that production was what anybody had in mind.
The intent was probably to = addr-spec.

We can put together a correction and figure out how to submit it.

Comments from anyone?

RjS

On Nov 29, 2004, at 5:51 AM, Tamar Barzuza wrote:

>> Hi,
>>
>> I found a problem in the BNF of PRES-URI.
>>
>> RFC 2396 defined the generic syntax of URI. It explicitly says that 
>> the following (delims) characters are disallowed within URI:
>> delims= "<" | ">" | "#" | "%" | <">
>>
>> However, in RFCs 3859 and 2822 the definition for PRES-URI is:
>> 	PRES URI = "pres:" [ to ] [ headers ]
>> 	to = mailbox
>> 	mailbox = name-addr / addr-spec
>> 	name-addr = [display-name] angle-addr
>> 	angle-addr = [CFWS] "<" addr-spec ">" [CFWS] / obs-angle-addr
>> 	addr-spec = local-part "@" domain
>> 	display-name = phrase
>> Which means that pres addresses can look like pres:"name"<user@host>,

>> hence may contain " and <>.
>>
>> Therefore I believe that the PRES-URI BNF is mistaken.
>>
>> Thanks,
>> Tamar.
>>
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple